﻿/* -------------------------------------------------------------------------- *
 * ========================================================================== *
 * Mohunky Cornerstone v7.0.7
 * Site Colours
 * ========================================================================== *
 * -------------------------------------------------------------------------- *

/* ================= Colours ================== */
:root {

	--colorPrimary:				#E53B1D;
	--colorPrimary-light:		#FAD7D1;
	--colorPrimary-dark:		#F6B7AE;

	--colorSecondary:			#0072BE;
	--colorSecondary-light:		#CBE2F2;
	--colorSecondary-dark:		#ADD1EA;

	--colorSuccess:				#249542;
	--colorWarning:				#edad21;
	--colorDanger:				#db5d5d;

	--colorOffBlack:			#212631; /* - Unset - */
	--colorOffBlack-light:		#363e4f; /* - Unset - */
	--colorOffBlack-dark:		#171a22; /* - Unset - */

	--colorGrey:				#707070;
	--colorGrey-light:			#e7e8eb; /* - Unset - */
	--colorGrey-dark:			#545e69; /* - Unset - */

	--colorOffWhite:			#f0f4f5; /* - Unset - */
	--colorOffBlack:			#000000; /* - Unset - */
	--colorOffBlack-perpetual:	#0a192c; /* - Unset - */

	--colorWhite:				#ffffff;
	--colorWhite-perpetual:		#ffffff;
	--colorBlack:				#000000;
	--colorBlack-perpetual:		#000000;

	--colorText:				#000000;

	--colorViewBg:				#FFFFFF; /* - Unset - */
	--colorTileBg:				#ffffff; /* - Unset - */
	--colorTileHdr:				#F8F8F9; /* - Unset - */
	--colorTileBdr:				#CDCECF; /* - Unset - */
}

/* ----- Background Colours ----- */
.-bgAdmin				{   background-color:var(--colorBgAdmin);   }

.-bgPrimary				{   background-color:var(--colorPrimary);   }
.-bgPrimary-light		{   background-color:var(--colorPrimary-light);   }
.-bgPrimary-dark		{   background-color:var(--colorPrimary-dark);   }

.-bgSecondary			{   background-color:var(--colorSecondary);   }
.-bgSecondary-light		{   background-color:var(--colorSecondary-light);   }
.-bgSecondary-dark		{   background-color:var(--colorSecondary-dark);   }

.-bgSuccess				{   background-color:var(--colorSuccess);   }
.-bgWarning				{   background-color:var(--colorWarning);   }
.-bgDanger				{   background-color:var(--colorDanger);   }

.-bgOffBlack			{   background-color:var(--colorOffBlack);   }
.-bgOffBlack-light		{   background-color:var(--colorOffBlack-light);   }
.-bgOffBlack-dark		{   background-color:var(--colorOffBlack-dark);   }

.-bgGrey				{   background-color:var(--colorGrey);   }
.-bgGrey-light			{   background-color:var(--colorGrey-light);   }
.-bgGrey-dark			{   background-color:var(--colorGrey-dark);   }

.-bgOffWhite			{   background-color:var(--colorOffWhite);   }
.-bgOffWhite-light		{   background-color:var(--colorOffWhite-light);   }
.-bgOffWhite-dark		{   background-color:var(--colorOffWhite-dark);   }

.-bgWhite				{   background-color:var(--colorWhite);   }

/* ----- Text Colours ----- */
.-txtPrimary			{   color:var(--colorPrimary);   }
.-txtPrimary-light		{   color:var(--colorPrimary-light);   }
.-txtPrimary-dark		{   color:var(--colorPrimary-dark);   }

.-txtSecondary			{   color:var(--colorSecondary);   }
.-txtSecondary-light	{   color:var(--colorSecondary-light);   }
.-txtSecondary-dark		{   color:var(--colorSecondary-dark);   }

.-txtSuccess			{   color:var(--colorSuccess);   }
.-txtWarning			{   color:var(--colorWarning);   }
.-txtDanger				{   color:var(--colorDanger);   }

.-txtOffBlack			{   color:var(--colorOffBlack);   }
.-txtOffBlack-light		{   color:var(--colorOffBlack-light);   }
.-txtOffBlack-dark		{   color:var(--colorOffBlack-dark);   }

.-txtGrey				{   color:var(--colorGrey);   }
.-txtGrey-light			{   color:var(--colorGrey-light);   }
.-txtGrey-dark			{   color:var(--colorGrey-dark);   }

.-txtOffWhite			{   color:var(--colorOffWhite);   }
.-txtOffWhite-light		{   color:var(--colorOffWhite-light);   }
.-txtOffWhite-dark		{   color:var(--colorOffWhite-dark);   }

.-txtWhite				{   color:var(--colorWhite);   }
.-txtWhite a,
.-txtWhite a:visited	{   color:var(--colorWhite); border-bottom-color:var(--colorWhite);   }

.-txtErrorRed			{   color:var(--colorErrorRed);   }

/* ----- SVG Fill Colours ----- */
.-fillPrimary			{   fill:var(--colorPrimary);   }
.-fillPrimary-light	{   fill:var(--colorPrimary-light);   }
.-fillPrimary-dark	{   fill:var(--colorPrimary-dark);   }

.-fillSecondary		{   fill:var(--colorSecondary);   }
.-fillSecondary-light{   fill:var(--colorSecondary-light);   }
.-fillSecondary-dark	{   fill:var(--colorSecondary-dark);   }

.-fillSuccess			{   fill:var(--colorSuccess);   }
.-fillWarning			{   fill:var(--colorWarning);   }
.-fillDanger			{   fill:var(--colorDanger);   }

.-fillGrey				{   fill:var(--colorGrey);   }
.-fillGrey-light		{   fill:var(--colorGrey-light);   }
.-fillGrey-dark		{   fill:var(--colorGrey-dark);   }

.-fillOffBlack			{   fill:var(--colorOffBlack);   }
.-fillOffBlack-light	{   fill:var(--colorOffBlack-light);   }
.-fillOffBlack-dark	{   fill:var(--colorOffBlack-dark);   }

.-fillOffWhite			{   fill:var(--colorOffWhite);   }
.-fillOffWhite-light	{   fill:var(--colorOffWhite-light);   }
.-fillOffWhite-dark	{   fill:var(--colorOffWhite-dark);   }

.-fillWhite				{   fill:var(--colorWhite);   }